# CsamScanner

Types:

```python
from cloudflare.types.csam_scanner import CsamScannerEditResponse, CsamScannerGetResponse
```

Methods:

- <code title="patch /zones/{zone_id}/settings/csam_scanner_third_party">client.csam_scanner.<a href="./src/cloudflare/resources/csam_scanner/csam_scanner.py">edit</a>(\*, zone_id, \*\*<a href="src/cloudflare/types/csam_scanner/csam_scanner_edit_params.py">params</a>) -> <a href="./src/cloudflare/types/csam_scanner/csam_scanner_edit_response.py">Optional[CsamScannerEditResponse]</a></code>
- <code title="get /zones/{zone_id}/settings/csam_scanner_third_party">client.csam_scanner.<a href="./src/cloudflare/resources/csam_scanner/csam_scanner.py">get</a>(\*, zone_id) -> <a href="./src/cloudflare/types/csam_scanner/csam_scanner_get_response.py">Optional[CsamScannerGetResponse]</a></code>
